-
Ease-of-use patch to klik's install
I made a patch to install to make it pop up an xterm, rxvt, konsole or gnome-terminal and su to run klik-cmg-install-root, rather than just popping up a message box telling the user to run it as root. For new users, this should be significantly nicer.
I don't know if I can properly include it here, but I'll try:
Code:
--- install 2005-12-20 13:11:44.000000000 -0500
+++ install.xterm 2006-01-02 19:17:29.000000000 -0500
@@ -81,6 +81,20 @@
esac
}
+unset XVT
+# Determine what X virtual terminal to use (if applicable)
+if [ "$DISPLAY" -a "`tty | grep not`" ]
+then
+ for i in xterm rxvt konsole gnome-terminal
+ do
+ $i --help
+ if [ "$?" != "127" ]
+ then
+ export XVT="$i -e"
+ fi
+ done
+fi
+
cat > $HOME/.klik <<\EOF
#!/bin/bash
@@ -511,8 +525,25 @@
fi
EOF
chmod 777 "$HOME/klik-cmg-install-root"
+cat > "$HOME/klik-prompt-root" <<EOF
+#!/bin/bash
+echo Please enter your root password:
+su -c "$HOME/klik-cmg-install-root"
+EOF
+chmod 777 "$HOME/klik-prompt-root"
+
+# Try su'ing to root
+$XVT $HOME/klik-prompt-root
+rm -f "$HOME/klik-prompt-root"
+
+# If that didn't work, just tell the user what to do
+if [ -z "$(cat /etc/fstab | grep app/7)" ]
+then
+ dmsgbox "Your /etc/fstab is not setup to use cmg files. Please run $HOME/klik-cmg-install-root as root."
+else
+ rm -f "$HOME/klik-cmg-install-root"
+fi
-(sudo sh "$HOME/klik-cmg-install-root" && rm -f "$HOME/klik-cmg-install-root") || (dmsgbox "Your /etc/fstab is not setup to use cmg files. Please run $HOME/klik-cmg-install-root as root.")
fi
#
[/code]
Similar Threads
-
By mkjtravel in forum Hardware & Booting
Replies: 0
Last Post: 11-02-2004, 07:49 AM
-
By eracerbit in forum Hdd Install / Debian / Apt
Replies: 0
Last Post: 01-22-2004, 12:48 AM
-
By rickenbacherus in forum Tips and Tricks
Replies: 13
Last Post: 01-20-2004, 03:39 PM
-
By eriixblaike in forum Ideas
Replies: 3
Last Post: 08-10-2003, 11:04 AM
-
Replies: 0
Last Post: 07-17-2003, 08:24 AM
Posting Permissions
- You may not post new threads
- You may not post replies
- You may not post attachments
- You may not edit your posts
-
Forum Rules

OPNsense pfSense 8-Core Atom C3758 2.2GHz 8GB DDR4 64GB SSD 8x NIC QAT AES VPN
$145.00

pfSense Firewall 16-Core Atom C3958 8GB DDR4 RAM 64GB SSD 8x 1Gbe QAT AES-NI VPN
$184.99

OPNsense pfSense 16-Core Atom C3958 16GB ECC RAM 512GB SSD 8-Port QAT AES-NI VPN
$258.00

SonicWall TZ280 Firewall 03-SSC-6933 Advanced Edition 3YR NEW SEALED
$999.99

Fortinet FortiGate 60F FG-60F P24286-03-13 Network Firewall Security Appliance
$155.75

Firewalla Gold Pro - 10 Gbps Cyber Security Firewall
$680.00

Firewalla Gold Pro 10GbE Firewall Router with Rack Mount Ears and USB Key
$829.99

Palo Alto PA-220 Next-Gen Firewall 520-000309-00J
$40.00

Cisco Meraki MX67-HW Security Appliance Firewall NEW Unused Unclaimed
$202.50

OPNsense Firewall Router VMware Edge 640 Atom C3758 32GB ECC RAM 256GB SSD 10Gbe
$284.99